-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Transition RSA2048 à ED25519
============================

Mon ancienne clé :

```
sec   rsa2048 2013-10-04 [SC] [expire : 2017-07-08]
      078514BD2C10233B394B725DC064D05C24BDA239
uid          [  ultime ] Quentin Dufour (Perso) <quentin@dufour.tk>
uid          [  ultime ] Quentin Dufour (INSA) <quentin@dufour.tk>
uid          [  ultime ] Quentin Dufour <quentin@deuxfleurs.fr>
uid          [  ultime ] Quentin Dufour (INSA) <quentin.dufour@insa-rennes.fr>
uid          [  ultime ] [jpeg image of size 4482]
ssb   rsa2048 2013-10-04 [E]
```

Ma nouvelle clé :

```
sec   ed25519 2017-01-07 [SC] [expire : 2018-01-07]
      645F540AAABE1452B294C970917FE4820B739EB3
uid          [  ultime ] Quentin Dufour <quentin@dufour.io>
uid          [  ultime ] Quentin Dufour <quentin@deuxfleurs.fr>
ssb   cv25519 2017-01-07 [E] [expire : 2018-01-07]
```

Ce message est signé à l'aide des deux clés.

*Remplacez `gpg` par `gpg2` si vous avez les deux versions sur votre système comme sous Fedora*

Importez ma nouvelle clé :

```
gpg --keyserver keyserver.ubuntu.com --recv 0B739EB3
```

Une fois ça, vous pouvez vérifier à l'aide de la commande suivante ce message

```
curl https://quentin.dufour.io/key-transition-2017.md | gpg --verify
```

Normalement, la première signature doit être reconnue et de confiance quand la deuxième doit être connue mais pas de confiance.

Vous pouvez alors signer ma clé si vous le désirez. Si vous n'avez jamais signé ma clé alors on pourra faire ça dès qu'on se voit physiquement :-)

Source : https://vincent.bernat.im/en/blog/2012-gpg-transition-new-key.html & lesterpig
-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEB4UUvSwQIzs5S3JdwGTQXCS9ojkFAlhxQTMACgkQwGTQXCS9
ojlTawf9HC8147M5Knm01rJBvS84tgyqtYDHV142BSSpjz4l0jiE5fJBw/1kd9od
tTovzzq/9BIpwDI8SP6n5SNcY9aDeWmvXwigsC9Ud101039zfScR4iGRr0N54qbn
gZk6nlptA4i3v2o6TEgJZZLXGVNTu5DZoxdcMvvxvk2hBvH3o3FKaZ4TEfhU5Lro
7Lk4EkxBIRXI2SXLSXJZLzPLj6M9lRpmCB/jkeGvoC6qVYvI7eQrdOqd1bm8k6p8
T5pZZCXLcqd8lIYwFagh9o1UsYUAtPkvUjTvR3zbWFjowRcJocgpmSgpFAfGEP1P
Ival06EUTA3Z5+nMXt5tB6Wd3D9I6Yh1BAEWCAAdFiEEZF9UCqq+FFKylMlwkX/k
ggtznrMFAlhxQTQACgkQkX/kggtznrPrPAEAvqg2xZh3rslk6CHImVAA3bVbKLOx
9O2SgiGoABkqglsA/ReSj/5PcOs80jW9wPFXC1iWQ/tNehz+AtpfOOteZ3QP
=ng0x
-----END PGP SIGNATURE-----
